<html lang="fr">

<head>
    <meta charset="UTF-8">
    <title>Todolist</title>
    <link href="{{ url_for('static', filename='css/styles.css') }}" rel="stylesheet" type="text/css" />

</head>

<body>

    <h1>TodoListe flask mongodb</h1>

    <form action="/addtodo/" method="post">

        <label for="msg">Ajouter une tâche :</label>
        <br>
        <textarea type="text" name="msg" id='msg' rows="10" cols="25" required></textarea>
        <br>
        <input type="submit" value="Valider">

    </form>

    {% for datas in data %}
    <hr>
    <div class="msg">
        <form action="/deltodo/" method="post">
            <label for="msg">{{ datas.msg }}</label>
            <input type="hidden" name="key" value="{{ datas.key }}">
            <input type="submit" value="supprimer">

        </form>

        <form action="/updatetodo/" method="post">
            <input type="text" name="msg" value="">
            <input type="hidden" name="key" value="{{ datas.key }}">
            <input type="submit" value="modifier">
        </form>

    </div>

    {% endfor %}

</body>

</html>